Bug 1220015

Summary: livecd-iso-to-disk persistence is broken
Product: Red Hat Enterprise Linux 6 Reporter: Todd <ToddAndMargo>
Component: livecd-toolsAssignee: Brian Lane <bcl>
Status: CLOSED DUPLICATE QA Contact: Release Test Team <release-test-team>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 6.6CC: dhuff
Target Milestone: rc   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-08 18:04:31 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Todd 2015-05-09 06:21:45 UTC
Dear Red Hat,

I am coming from the community: Scientific Linux 6.6 x64.  I am trying to create a Live USB with persistence.  Would one of our intrepid heroes please fix this for me?

The Stick is 16 GB.   It is formatted as ext3.

# rpm -qa livecd-tools
livecd-tools-13.4.5-1.el6.x86_64


According to this:

https://docs.fedoraproject.org/en-US/Fedora/10/html/Release_Notes/sn-Live_USB_persistence.html

     livecd-iso-to-disk --overlay-size-mb 512 /path/to/live.iso /dev/sdb1

     "Replace /dev/sdb1 with the partition where you want to put the image.
Replace 512 with the desired size in megabytes of the persistent data, or overlay. The livecd-iso-to-disk shell script is stored in the LiveOS directory at the top level of the CD image. The USB media must have sufficient free space for the Fedora Live image, plus the overlay, plus any other data to be stored on the media."

This is my command line:

livecd-iso-to-disk --overlay-size-mb 13287 Fedora-Live-Xfce-x86_64-21-5.iso /dev/sdc1

 
After booting off the Live USB, I get the following:
df -kPT /
Filesystem          Type 1024-blocks    Used Available Capacity Mounted on
/dev/mapper/live-rw ext4     3030800 2431496    551468      82% /

Means the persistence is set at the default of 3GB.

Many thanks,
-T

Comment 2 Todd 2015-05-10 08:08:06 UTC
Just noticed that Fedora Code 21 is at "livecd-tools-21.5-1.fc21.src.rpm" and EL 6 is on 13.4.5-1.

You may be able to fix this bug by just recompiling 21.5.1

I tried it, but got a bunch of weird error I can't figure out so I really do need you guys.

Many thanks,
-T

Comment 3 Brian Lane 2015-06-08 18:04:31 UTC
livecd-tools for rhel are from epel.

*** This bug has been marked as a duplicate of bug 1105735 ***